# reset_device function

(Shortest import: `from brian2.devices import reset_device)`

brian2.devices.device.reset_device(device=None)

  Reset to a previously used device. Restores also the previously specified build options (see `set_device()`) for the device. Mostly useful for internal Brian code and testing on various devices.

  Parameters:

    device : `Device` or str, optional

    > The device to go back to. If none is specified, go back to the device chosen with `set_device()` before the current one.